package game

import (
	"fmt"
	"sirlab.de/go/knyt/quote"
)

func (gm *Game) RemoveQuote(usrId string, quoteId string) (*quote.Quote, error) {
	quote, err := gm.getQuoteById(quoteId)
	if err != nil {
		return nil, err
	}

	if quote.GetSourceId() != usrId {
		return nil, fmt.Errorf("usrId does not match quote source id")
	}

	fmt.Printf("%v\n", quote)

	return quote, nil
}
